from django.urls import path, include
from . import views


urlpatterns = [
    path('payment/', include('customercore.payment.urls')),
    path('add/', include('customercore.add.urls')),

    path('redirect-osimenu/', views.redirect_osimenu, name='redirectosimenu'),
    path('redirect-osicard/', views.redirect_osicard, name='redirectosicard'),

    path('contact/', views.contact, name='contact'),

    # LISTING
    path('my-invoices/', views.customer_invoices, name='customerinvoices'),
    path('products/', views.all_products, name='products'),
    path('my-orders/', views.customer_orders, name='customerorders'),
    path('my-tickets/', views.customer_tickets, name='customertickets'),
    path('my-projects/', views.customer_projects, name='customerprojects'),


    # DETAILS
    path('my-orders/<str:order_id>/', views.customer_order_details, name='customerorderdetails'),
    path('my-projects/<str:project_id>/', views.customer_project_details, name='customerprojectdetails'),


    # PRODUCTS URL
    path('osimenu-plans/', views.osimenu_plans, name='osimenuplans'),
    path('osicard-plans/', views.osicard_plans, name='osicardplans'),
    path('shared-hosting-plans/', views.shared_hosting_plans, name='sharedhostingplans'),
    path('cloud-vps-hosting-plans/', views.cloud_vps_hosting_plans, name='cloudvpshostingplans'),
    path('dedicated-servers-plans/', views.dedicated_servers_plans, name='dedicatedserversplans'),
    path('cpanel-licenses/', views.cpanel_licenses, name='cpanellicenses'),


    # USER PROFILE
    path('user-profile/', views.user_profile, name='userprofile'),
    path('user-settings/', views.user_settings, name='usersettings'),

    path('changepassword/', views.change_password, name="changepassword"),
    path('check_current_password/', views.check_current_password, name='check_current_password'),


    path('close_ticket/', views.close_ticket_status_modal, name='closeticketstatusmodal'),
]
